Subject: Re: [OPSAWG] [Errata Verified] RFC7666 (4710)

From: Randy Presuhn <[email-masked]>
Date: Fri, 17 Jun 2016 19:15:03 -0700 (GMT-07:00)

Hi -

I am puzzled that this change was permitted.
It seems to be in clear violation of the
constraints imposed by RFC 2579 section 5.
Once the textual convention has been published,
such a change, even if it is a "fix", is not
allowed by the interoperability rules.

Randy

-----Original Message-----
>From: RFC Errata System <[email-masked]>
>Sent: Jun 17, 2016 12:44 AM
>To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
>Cc: [email-masked], [email-masked], [email-masked]
>Subject: [OPSAWG] [Errata Verified] RFC7666 (4710)
>
>The following errata report has been verified for RFC7666,
>"Management Information Base for Virtual Machines Controlled by a Hypervisor". 
>
>--------------------------------------
>You may review the report below and at:
>http://www.rfc-editor.org/errata_search.php?rfc=7666&eid=4710
>
>--------------------------------------
>Status: Verified
>Type: Editorial
>
>Reported by: jean-marie Kubek <[email-masked]>
>Date Reported: 2016-06-15
>Verified by: Benoit Claise (IESG)
>
>Section: 6.2 IANA MIB
>
>Original Text
>-------------
>IANAStorageMediaType ::= TEXTUAL-CONVENTION
>       STATUS       current
>       DESCRIPTION
>               "The media type of a storage device:
>
>               unknown(1)     The media type is unknown, e.g., because
>                              the implementation failed to obtain the
>                              media type from the hypervisor.
>
>               other(2)       The media type is other than those
>                              defined in this conversion.
>
>Corrected Text
>--------------
>IANAStorageMediaType ::= TEXTUAL-CONVENTION
>       STATUS       current
>       DESCRIPTION
>               "The media type of a storage device:
>
>                 other(1)       The media type is other than those
>                                defined in this conversion.
>
>                 unknown(2)     The media type is unknown, e.g., because
>                                the implementation failed to obtain the
>                                media type from the hypervisor.
>
>
>Notes
>-----
>Inversion of other and unknown integer values in the description of the IANAStorageMediaType TEXTUAL-CONVENTION.
>
>FIrst referenced at IANA  RT as [IANA #913286] Incoherency in IANA-STORAGE-MEDIA-TYPE-MIB
>
>--------------------------------------
>RFC7666 (draft-ietf-opsawg-vmm-mib-04)
>--------------------------------------
>Title               : Management Information Base for Virtual Machines Controlled by a Hypervisor
>Publication Date    : October 2015
>Author(s)           : H. Asai, M. MacFaden, J. Schoenwaelder, K. Shima, T. Tsou
>Category            : PROPOSED STANDARD
>Source              : Operations and Management Area Working Group
>Area                : Operations and Management
>Stream              : IETF
>Verifying Party     : IESG
>
>_______________________________________________
>OPSAWG mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/opsawg

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sat, 18 Jun 2016 09:05:58 +0200

He? The fix aligns the textual description with the actual definition.
What is your proposal? Keep them inconsistent? I am puzzled now as
well.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Benoit Claise <[email-masked]>
Date: Sat, 18 Jun 2016 10:00:58 +0200

Right, we didn't change the IANA assignment, but the TC description.

Regards, B.